# Copyright (C) 2024 Manuel Bustillo

module Swagger
  module Schema
    USER = {
      id: { type: :string, format: :uuid },
                  email: { type: :string, format: :email },
                  created_at: SwaggerResponseHelper::TIMESTAMP,
                  updated_at: SwaggerResponseHelper::TIMESTAMP
            
    }

    SLUG = {
      name: 'slug',
      in: :path,
      type: :string, 
      example: :default,
      description: 'Wedding slug'
    }
  end
end